| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations | Functions
window.h File Reference

## Classes

struct | wxVisualAttributes
| Struct containing all the visual attributes of a control. More...
class | wxWindow
| wxWindow is the base class for all windows and represents any visible object on screen. More...
class | wxWindow::ChildrenRepositioningGuard
| Helper for ensuring EndRepositioningChildren() is called correctly. More...

## Enumerations

enum | wxShowEffect { wxSHOW_EFFECT_NONE, wxSHOW_EFFECT_ROLL_TO_LEFT, wxSHOW_EFFECT_ROLL_TO_RIGHT, wxSHOW_EFFECT_ROLL_TO_TOP, wxSHOW_EFFECT_ROLL_TO_BOTTOM, wxSHOW_EFFECT_SLIDE_TO_LEFT, wxSHOW_EFFECT_SLIDE_TO_RIGHT, wxSHOW_EFFECT_SLIDE_TO_TOP, wxSHOW_EFFECT_SLIDE_TO_BOTTOM, wxSHOW_EFFECT_BLEND, wxSHOW_EFFECT_EXPAND, wxSHOW_EFFECT_MAX }
| Valid values for wxWindow::ShowWithEffect() and wxWindow::HideWithEffect(). More...
enum | { wxSEND_EVENT_POST = 1 }
| flags for SendSizeEvent() More...
enum | wxWindowVariant { wxWINDOW_VARIANT_NORMAL, wxWINDOW_VARIANT_SMALL, wxWINDOW_VARIANT_MINI, wxWINDOW_VARIANT_LARGE, wxWINDOW_VARIANT_MAX }
| Different window variants, on platforms like eg mac uses different rendering sizes. More...

## Functions

wxWindow * | wxFindWindowAtPointer (wxPoint &pt)
| Find the deepest window at the mouse pointer position, returning the window and current pointer position in screen coordinates. More...
wxWindow * | wxGetActiveWindow ()
| Gets the currently active window (implemented for MSW and GTK only currently, always returns NULL in the other ports). More...
wxWindow * | wxGetTopLevelParent (wxWindow *window)
| Returns the first top level parent of the given window, or in other words, the frame or dialog containing it, or NULL. More...

## Enumeration Type Documentation

anonymous enum

flags for SendSizeEvent()

Enumerator
wxSEND_EVENT_POST |

enum wxShowEffect

Valid values for wxWindow::ShowWithEffect() and wxWindow::HideWithEffect().

Enumerator

wxSHOW_EFFECT_NONE

No effect, equivalent to normal wxWindow::Show() or Hide() call.

Since
  2.9.1

wxSHOW_EFFECT_ROLL_TO_LEFT | Roll window to the left.
wxSHOW_EFFECT_ROLL_TO_RIGHT | Roll window to the right.
wxSHOW_EFFECT_ROLL_TO_TOP | Roll window to the top.
wxSHOW_EFFECT_ROLL_TO_BOTTOM | Roll window to the bottom.
wxSHOW_EFFECT_SLIDE_TO_LEFT | Slide window to the left.
wxSHOW_EFFECT_SLIDE_TO_RIGHT | Slide window to the right.
wxSHOW_EFFECT_SLIDE_TO_TOP | Slide window to the top.
wxSHOW_EFFECT_SLIDE_TO_BOTTOM | Slide window to the bottom.
wxSHOW_EFFECT_BLEND | Fade in or out effect.
wxSHOW_EFFECT_EXPAND | Expanding or collapsing effect.
wxSHOW_EFFECT_MAX |

enum wxWindowVariant

Different window variants, on platforms like eg mac uses different rendering sizes.

Enumerator
wxWINDOW_VARIANT_NORMAL | Normal size.
wxWINDOW_VARIANT_SMALL | Smaller size (about 25 % smaller than normal)
wxWINDOW_VARIANT_MINI | Mini size (about 33 % smaller than normal)
wxWINDOW_VARIANT_LARGE | Large size (about 25 % larger than normal)
wxWINDOW_VARIANT_MAX |